<?php
	/* Functions in this file */
	/**************************/

	// content()
	// Seo4SMFSitemaps()
	 
	function Seo4SMFSitemaps()
	{
	    global $txt, $smcFunc, $db_prefix, $modSettings, $scripturl, $context, $options, $sourcedir, $settings;
	     
	    $context['TPortal']['leftbar'] = false;
	    $context['TPortal']['centerbar'] = false;
	    $context['TPortal']['rightbar'] = false;
	     
	    loadTemplate('Seo4SMFSitemaps');
	}
	 
	function content()
	{
	    global $txt, $smcFunc, $db_prefix, $modSettings, $scripturl, $context, $options, $sourcedir, $settings;
	     
	    if ($modSettings['seo4smf_sitemaps_links'] != 0)
	        $how_many_links_per_page = $modSettings['seo4smf_sitemaps_links'];
	    else
	        $how_many_links_per_page = 100;
	     
	    $caracter = '-1';
	    $noboards = array();
	    $i = 0;
	    $main = "";
	    $begin = 0;
	    if (isset($_REQUEST['sa']))
	    {
	        if ($_REQUEST['sa'] == 'home')
	        {
	            $main = 'home';
	        }
	        else
	        {
	            $begin = $_REQUEST['sa'] * $how_many_links_per_page;
	        }
	    }
	     
	    if (isset($modSettings['seo4smf_split_char']))
	        $split_char = $modSettings['seo4smf_split_char'];
	    else
	        $split_char = "_";
	     
	    $scripturl1 = str_replace("/index.php", "", $scripturl);
	     
	    $request = $smcFunc['db_query']('', '
	        SELECT id_board, name, description, num_topics, num_posts, member_groups
	        FROM {db_prefix}boards where member_groups LIKE "%-1%"',
			array(
			)
	    );
	    $boards = array();
	    while ($row = $smcFunc['db_fetch_assoc']($request))
	    {
	        $boards[] = array(
	        'id' => $row['id_board'],
	            'name' => $row['name'],
	            'description' => $row['description'],
	            'numt' => $row['num_topics'],
	            'nump' => $row['num_posts'],
	            'groups' => $row['member_groups'],
	            );
	    }
	    $smcFunc['db_free_result']($request);
	     
	    foreach($boards as $boardis)
	    {
	        $posicion = strpos($boardis['groups'], $caracter);
	        if ($posicion === false)
	        {
	            $noboards[$i] = $boardis['id'];
	            $i++;
	        }
	    }
	     
	    //$credits='<span class="smalltext" style="display: inline; visibility: visible; font-family: Verdana,Arial,sans-serif; font-size:7pt;">Powered by <a href="http://www.davilac.net">Davilac</a> Script version: 0.5 modified for <a href="http://www.webmasterstalks.com">SEO4Smf</a></span>';
	     
	    $request = $smcFunc['db_query']('', '
	        SELECT ID_MSG, {db_prefix}messages.id_topic, num_replies, num_views,id_member, {db_prefix}messages.id_board,
	        {db_prefix}messages.subject, {db_prefix}messages.poster_name, {db_prefix}topics.id_first_msg
	        FROM {db_prefix}messages, {db_prefix}topics
	        WHERE id_msg=id_first_msg
	        ORDER BY {db_prefix}messages.id_topic DESC
	        LIMIT {int:begin},{int:how_many}',
			array(
				'begin' => $begin,
				'how_many' => $how_many_links_per_page,
			)
	    );
	    $topics = array();
	    while ($row = $smcFunc['db_fetch_assoc']($request))
	    {
	        $topics[] = array(
	        'id' => $row['id_topic'],
	            'name' => $row['subject'],
	            'poster' => $row['poster_name'],
	            'views' => $row['num_views'],
	            'replies' => $row['num_replies'],
	            'posterid' => $row['id_member'],
	            'board' => $row['id_board'],
	            );
	    }
	    $smcFunc['db_free_result']($request);
	     
	    if ($main == 'home')
	    {
	        echo '<table width="100%"><tr><td><b>Forum name</b></td><td><b>Description</b></td><td><b>Topics</b></td><td>
	            <b>Views</b></td></tr>';
	         
	        foreach ($boards as $board)
	        {
	            $posicion = strpos($board['groups'], $caracter);
	            if ($posicion !== false)
	            {
	                if ($modSettings['seo4smf_enable'] == "on")
	                {
	                    $board_name = remove_signs($board['name']);
	                    $board_name = strtolower(str_replace(" ", $split_char, $board_name));
	                     
	                    echo '<tr><td><a href="', $scripturl1, '/', $board_name, '-b', $board['id'], '.0/">', $board['name'], '
	                        </a></td><td>', $board['description'], '</td><td>', $board['numt'], '</td><td>', $board['nump'], '</td></tr>';
	                }
	                else
	                    echo '<tr><td><a href="', $scripturl, '?board=', $board['id'], '.0">', $board['name'], '
	                    </a></td><td>', $board['description'], '</td><td>', $board['numt'], '</td><td>', $board['nump'], '</td></tr>';
	                 
	            }
	        }
	    } //End of Board's If
	    else
	        {
	        // Popular topics too...
	        $hidden_board = 0;
	        echo'<table width="100%"><tr><td><b>Topic</b></td><td><b>Poster</b></td><td><b>Views</b></td><td>
	            <b>Replies</b></td><td>
	            <b>ID</b></td></tr>';
	        foreach ($topics as $topic)
	        {
	            $hidden_board = 0;
	            $clave = array_search($topic['board'], $noboards);
	            if ($clave === false)
	            {
	                if ($modSettings['seo4smf_enable'] == "on")
	                {
	                    foreach ($boards as $board)
	                    {
	                        if ($board['id'] == $topic['board'])
	                        {
	                            $board_name = remove_signs($board['name']);
	                            $board_name = strtolower(str_replace(" ", $split_char, $board_name));
	                            $hidden_board = 0;
	                            break;
	                        }
	                        $hidden_board = 1;
	                    }
	                    if ($hidden_board == 1) continue; //if the board doesn't exist then is hidden !
	                     
	                    $topic_name = remove_signs($topic['name']);
	                    $topic_name = strtolower(str_replace(" ", $split_char, $topic_name));
	                     
	                    $user_name = remove_signs($topic['poster']);
	                    $user_name = strtolower(str_replace(" ", $split_char, $user_name));
	                     
	                    if ($modSettings['seo4smf_board_topic'] != "on")
	                        echo '
	                        <tr><td><a href="', $scripturl1, '/', $board_name, '/', $topic_name, '-t', $topic['id'], '.0.html">', $topic['name'], '</a></td>
	                        <td>
	                        <a href="', $scripturl1, '/profile/', $user_name, '-u', $topic['posterid'], '.html">', $topic['poster'], '</a></td><td>', $topic['views'], '</td><td>
	                        ', $topic['replies'], '</td><td>
	                        ', $topic['id'], '</td></tr>';
	                    else
	                        echo '
	                        <tr><td><a href="', $scripturl1, '/', $topic_name, '-t', $topic['id'], '.0.html">', $topic['name'], '</a></td>
	                        <td>
	                        <a href="', $scripturl, '?action=profile;u=', $topic['posterid'], '">', $topic['poster'], '</a></td><td>', $topic['views'], '</td><td>
	                        ', $topic['replies'], '</td><td>
	                        ', $topic['id'], '</td></tr>';
	                     
	                }
	                else
	                    echo '
	                    <tr><td><a href="', $scripturl, '?topic=', $topic['id'], '.0">', $topic['name'], '</a></td>
	                    <td>
	                    <a href="', $scripturl, '?action=profile;u=', $topic['posterid'], '">', $topic['poster'], '</a></td><td>', $topic['views'], '</td><td>
	                    ', $topic['replies'], '</td><td>
	                    ', $topic['id'], '</td></tr>';
	            }
	        }
	    }
	    $i;
	    echo'</table>';
	    echo'<a href="sitemaps-home.html">Start</a> &nbsp;';
	    for($i = 0; $i < $modSettings['totalTopics']/$how_many_links_per_page; $i++)
	    {
	        echo'<a href="sitemaps-', $i, '.html">Page', $i , '</a>&nbsp;';
	        if (!($i%13) && ($i!=0)) echo "<br />";
	    }
	    echo'<br />';
	}
?>
